/**
 * @brief 获取节点和组件的方法
 * @author Peng Chaowen
 * @web www.pcwen.top
 * @version 1.0
 * @date 2018/12/7
 */

cc.Class({
    extends: cc.Component,

    properties: {
        myName: "blog00" //属性
    },

    //按钮点击事件
    searchBtnClick(event, customEventData) {
        let searchNode = cc.find("Canvas/SearchNode"); //通过全路径获取对应节点
        //let scriptComponent = searchNode.getComponent("Search"); //通过脚本类名Search获取组件
        let scriptComponent = searchNode.getComponent(cc.Component); //通过脚本类型cc.Component获取组件
        cc.log(scriptComponent.myName); //输出组件属性myName的值
    }
});
